﻿#hubSelector {
    width: 25vw;
    padding: 5px;
    display: flex;
    margin-bottom: 10px;
}

#hubSelectContainer {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}

.hubButton {
    border: 1px solid black;
    background-color: skyblue;
    width: 7.5vw;
    text-align: center;
    cursor: pointer;
    display: flex;
    padding: 5px;
    white-space: nowrap;
    overflow: hidden;
}

#currentHubImage {
    margin-top: 10px;
    padding: 5px;
}

#currentContainer {
    margin-left: 20px;
}

#currentHub {
    min-height: 70vh;
    width: 30vw;
    padding:5px;
    margin-left: 10px;
    float:left;
}


#currentDetails {
    height: 45vh;
    width: 20vw;
    float: left;
    margin-left: 50px;
    padding: 10px;
    padding-top: 60px;
}

#gridContainer {
    width: 200px;
    max-height: 70vh;
    margin-left: 20px;
    margin-right:20px;
}

#gridWrapper {
    display: grid;
    width: inherit;
    grid-template-columns: 20px 20px 20px 20px 20px 20px 20px 20px 20px 20px;
    border-top: 1px solid black;
    border-left: 1px solid black;
}

.gridSquare {
    width: 19px;
    height: 19px;
    border-bottom: 1px solid black;
    border-right: 1px solid black;
}

#notesContainer {
    margin-top: 50px;
    height: 10vh;
}

#customNotes {
    width: 100%;
    height: 100%;
}


table {
    border-collapse: collapse;
}

.tableBorder tr {
    border: 1px solid black;
    height: 35px;
}

.tableBorder td {
    padding: 10px;
    width: 300px;
}

.entrance {
    font-weight: bold;
    background-color: lightgreen;
    cursor: pointer;
}

.destination {
    cursor: alias;
}

.emptyRow {
    height: 13px !important;
}

.blockageLabel {
    height: 15px;
    width: 15vw;
    padding:5px;
    display:block;
}

#resetButtons {
    margin: 0 auto;
    display: table;
    width: 50%;
    padding-top:100px;
}

#resetButtons button {
    font-size: 15px;
    cursor: pointer;
}

#regionSelect button {
    font-size: 12px;
}

.modal {
    display: none;
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modalcontent {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    min-width: 300px;
    max-width: 50%;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}